/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Application1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class Application1Adaptor
 */

Application1Adaptor::Application1Adaptor(
	Oscl::Qt::DBus::BlueZ::
	Mesh::Application1::ContextApi&	contextApi,
	const QDBusConnection&			bus,
	QObject*						parent
	):
		QDBusAbstractAdaptor(parent),
		_contextApi(contextApi),
		_bus(bus)
		{
	}

Application1Adaptor::~Application1Adaptor() {
	}

ushort Application1Adaptor::cRPL() const {
	return _contextApi.getCRPL();
	}

ushort Application1Adaptor::companyID() const {
	return _contextApi.getCompanyID();
	}

ushort Application1Adaptor::productID() const {
	return _contextApi.getProductID();
	}

ushort Application1Adaptor::versionID() const {
	return _contextApi.getVersionID();
	}

void Application1Adaptor::JoinComplete(
		qulonglong			token
		) {

	_contextApi.joinCompleteReceived(
		token
		);
	}

void Application1Adaptor::JoinFailed(
		const QString&		reason
		) {

	_contextApi.joinFailedReceived(
		reason.toLatin1()
		);
	}

